バージョン選択

フォーラム

メニュー

オンライン状況

30 人のユーザが現在オンラインです。 (13 人のユーザが フォーラム を参照しています。)
登録ユーザ: 0
ゲスト: 30
もっと...

サイト内検索

質問 > その他 > 4.0.3からバージョンアップしたいです

その他

新規スレッドを追加する

スレッド表示 | 新しいものから 前のトピック | 次のトピック | 下へ
投稿者 スレッド
mishia
投稿日時: 2021/9/23 1:28
対応状況: 解決済
常連
登録日: 2010/5/20
居住地:
投稿: 38
4.0.3からバージョンアップしたいです
[EC-CUBE] 4.0.3 新規インストール(レンタルサーバのコントロールパネルからのクイックインストール)
[レンタルサーバ] さくらインターネット
[OS] Windows10
[PHP] PHP 7.3.29
[データベース] MySQL 5.7
[WEBサーバ] Apache/2.4.48
[ブラウザ] Firefox 78.14.0esr
[導入プラグインの有無] あり(決済ほか)
[カスタマイズの有無] なし
[現象]
お世話になります。
現在4.0.3を使用していますが、バージョンアップをしたいと考えています。
当初、4月に作業予定しておりましたが、体調を崩してお休みをしておりましたため、この時期になってしまいました…。
フォーラム検索をしたところ、4.0.3→4.0.4が上手くできないという投稿を拝見しまして、萎縮して不安でいっぱいになっております。
EC-CUBEは2から触らせていただいておりますが、SEやPG職でないため、専門的なことになってくると全くわかりません。
オーナーズストアでプラグインをDL(4.0.3→4.0.4、4.0.4→4.0.5、4.0.5→4.0.6の3つ)するところまではやってみましたが…。
以降の手順につきまして、どなたかお教えいただけませんでしょうか。
何とぞよろしくお願いいたします。

ちなみに「EC-CUBE 4.0系における緊急度「高」の脆弱性(JVN#97554111)発覚と対応」につきましては、攻撃された形跡はなく、パッチ適応は5月15日完了しております。
ec9iii
投稿日時: 2021/10/2 20:16
対応状況: −−−
一人前
登録日: 2014/9/8
居住地:
投稿: 100
Re: 4.0.3からバージョンアップしたいです
アップデートプラグインをDLするところまでは行われているかと思いますので、
EC-CUBEの管理画面 > オーナーズストア > プラグイン一覧 から、
インストールしたアップデートプラグインの歯車マークをクリック

するとアップデート実行画面が表示されますので、
4.0.3→4.0.4、
4.0.4→4.0.5、
4.0.5→4.0.6
の順にアップデートプラグインを1つずつ実行し、
1バージョンずつアップデートする手順となります。

今回のバージョンとは異なりますが、
「EC-CUBEアップデートプラグインを試してみた」という記事がありましたのでご参考になるかと思います。
http://coelacanth.jp.net/ec-cube_update_400_to_401/

なお、アップデートの際にエラーが出ることも多いようですので、
必ずバックアップをお取りになり、不具合が生じれば元の状態に復元できるような準備は必ず整えておくことをおすすめします。
mishia
投稿日時: 2021/10/18 22:49
対応状況: −−−
常連
登録日: 2010/5/20
居住地:
投稿: 38
Re: 4.0.3からバージョンアップしたいです
ec9iii様

詳しく教えてくださり、また、参考になるurlも添えてくださり、
感謝しております、ありがとうございました(*^-^*)

ご記載いただきましたとおり、エラーが出るのが怖くて…
二の足を踏んでいる状況です。
ファイル数が膨大なので、バックアップを取るのもアップロードするのも時間がかかりますよね(^-^;
それもなかなか手を付けることができない理由の一つです…

教えていただきましたので、近々チャレンジしてみようと思っております。
また報告いたします、何とぞよろしくお願いいたしますm(__)m
mishia
投稿日時: 2021/11/26 0:56
対応状況: −−−
常連
登録日: 2010/5/20
居住地:
投稿: 38
Re: 4.0.3からバージョンアップしたいです
ec9iii様

まずは4.0.3→4.0.4のアップデートから、やっと始めようとしたところで、躓いてしまいました。。

アップデートを実行する際に、
「アップデートを実行する前に、以下の設定をご確認ください。
・xdebugが有効になっている→xdebugを無効にする
・memory_limitが128M→memory_limitを512Mに設定
・max_execution_timeが30→max_execution_timeを180に設定」
というプラグインのダウンロードページの記載を確認しようとしたところ、xdebugを無効にする方法がわかりませんでした。

フォーラムも検索してあちこち読みましたが、無効にする方法は見つけられませんでした。。
webで「さくらインターネット xdebugを無効にする」で検索しても、見つけられませんでした。

基本的なことかもしれませんが、またまたわたしには難しく、大変困っております。
何かご存知でしたら、教えていただけませんでしょうか?
何とぞよろしくお願いいたします!

追記
フォーラムにも、こちらの内容で投稿してみようと思います。何とぞよろしくお願いいたします。
yuh
投稿日時: 2021/11/26 1:26
対応状況: −−−
登録日: 2013/1/9
居住地: 大阪
投稿: 1664
Re: 4.0.3からバージョンアップしたいです
mishia
投稿日時: 2021/11/27 22:22
対応状況: 解決済
常連
登録日: 2010/5/20
居住地:
投稿: 38
Re: 4.0.3からバージョンアップしたいです
ec9iii様

お世話になります。
xdebugの件が解決しましたので、
本日先ほど、4.0.3→4.0.4のアップデートが無事に完了しましたので、お知らせいたします!
同様に、4.0.6まで進めたいと思います。
この度も本当に助かりました、ありがとうございました(*^-^*)

追伸:
xdebugの件は別のスレッドで質問もさせていただいておりましたので、
そちらも解決済とし、追加の情報を記載させていただこうと思っております。
ありがとうございました。
mishia
投稿日時: 2021/11/27 22:25
対応状況: −−−
常連
登録日: 2010/5/20
居住地:
投稿: 38
Re: 4.0.3からバージョンアップしたいです
yuh様

昨日はコメントを下さり、ありがとうございましたm(__)m
ご記載くださいましたリンク先の件ですが、
おかげさまで解決いたしましたので、質問させていただいておりました別スレッドに、これから詳細を記載したいと思っております(*^-^*)
スレッド表示 | 新しいものから 前のトピック | 次のトピック | トップ


 



ログイン

右上バナー


EC-CUBEペイメント

公式ストアEC-CUBE4系デザインテンプレート続々リリース中

統計情報

総メンバー数は73,760名です
総投稿数は103,003件です

投稿数ランキング

1
seasoft
7333
2
468
3132
3
AMUAMU
2712
4
nanasess
2192
5
umebius
2042
6
yuh
1664
7
red
1456
8
h_tanaka
1169
9
tsuji
942
10
fukap
907
11
shutta
835
12
tao_s
794
13 ramrun 789
14 karin 689
15 sumida 641
16
homan
633
17 DELIGHT 572
18
patapata
502
19
flealog
485
20 tonton 437


ネットショップの壺

EC-CUBEインテグレートパートナー

Copyright© EC-CUBE CO.,LTD. All Rights Reserved.